Developers
Developers
Build on Flomaila with our REST API, webhook streams, and idiomatic code snippets.
How this works:Authenticate API requests using Bearer tokens. Build and test queries in the interactive request builder below.
Endpoints
Create or update contactPOST
/api/v1/contacts
Permission: contacts.write
List contactsGET
/api/v1/contacts?limit=20
Permission: contacts.read
Send transactional messagePOST
/api/v1/messages/send
Permission: messages.send
Track behavioral eventPOST
/api/v1/events
Permission: events.write
lockAuthentication
Authenticate all requests using a Bearer token or custom API key header:
Authorization: Bearer flom_live_pk_...
X-Flomaila-Api-Key: flom_live_pk_...
Create or update contact
POST/api/v1/contacts
curl -X POST "https://flomaila-pi.vercel.app/api/v1/contacts" \
-H "Authorization: Bearer flom_live_pk_8942b0f4a9c81e2d93e8" \
-H "Content-Type: application/json" \
-d '{ "email": "sarah@vertexcloud.com", "name": "Sarah Jenkins", "company": "VertexCloud", "tags": [ "vip", "saas" ]}'verifiedIdempotency-locked request builder